@import url('https://fonts.googleapis.com/css?family=Roboto:400,700');

:root{
  --mainBlue:#40ACF1;
  --transparentBlue:rgba(64, 172, 241,0.7);
  --mainWhite:#FFFFFF;
  --mainBlack:#292F36;
  --mainGrey:rgb(216, 214, 214);
  --mainYellow:#e3b505;
}
::selection {
    background: var(--mainGrey);
}
::-moz-selection {
    background: var(--mainGrey);
}

body{
  font-family: 'Roboto', sans-serif;
  color: var(--mainBlack);
  background: var(--mainWhite);
}
/* REM values to target root element 1REM = 16px */

/* section title */
.section-title--special {
    background: var(--transparentBlue);
    color: var(--mainWhite);
    padding: 0.5rem 2rem;
    clip-path: polygon(10% 0, 100% 0, 90% 100%, 0 100%);
}
/* end of section title */

/* preloader */
.preloader {
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background: var(--mainWhite);
    z-index: 100;
}
.hidepreloader {
    display: none !important;
}
/* end of preloader */

/* navbar */
.navbar {
background: var(--mainWhite);
}
.navbar-icon {
  font-size: 2rem;
  color: var(--mainBlue);
}
.navbar-toggler {
  outline-color: var(--mainBlue) !important;
}
.nav-link {
  color: var(--mainBlack);
}
.nav-link:hover {
  color: var(--mainBlue);
}
.nav-icon {
  font-size: 1.5rem;
  color: var(--mainBlue);
  text-decoration: none !important;
  transition: all 1s linear;
}
.nav-icon:hover {
  color: var(--mainBlack);
}
/* end of navbar */
/* header */
.header {
    color: var(--mainWhite);
    overflow: hidden;
}
.header-bg-container {
    height: 100%;
    animation-name: zoom;
    animation-duration: 20s;
    animation-delay: 5s;
    animation-iteration-count: infinite;
}
.height-max {
    height: calc(100vh - 76px);
    position: relative;
}
.header-bg {
    height: 100%;
    background-image: url("../img/headerBcg.jpeg");
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    background-attachment: fixed;
    clip-path: polygon(0 0, 100% 0, 100% 95%, 50% 100%, 0 95%);
}

.header-desc-layout {
    position: absolute;
}
.header-desc-bg {
    background: rgba(0,0,0,0.2);
    padding: 1rem;
    border-radius: 2%;
    box-shadow: 0 0 6px 10px rgba(0,0,0,0.2);
}

@keyframes zoom {
    0% {
        transform: scale(1);
    }
    50% {
        transform: scale(1.2) translateX(-5%) translateY(-9%);
    }
    100% {
        transform: scale(1);
    }
}

.title-heading {
    background: rgba(0,0,0,0.4);
    border-left: 0.3rem solid var(--mainBlue);
}
.title {
    font-weight: 700;
    font-size: 1.8rem;
}
@media screen and (min-width: 768px) {
    .title {
        font-size: 3rem;
    }
}
.title-icon {
    color: var(--mainBlue);
    transition: all 1s linear;
}
.title-icon:hover {
    color: var(--mainBlue);
    opacity: 0.6;
    text-decoration: none !important;
}
/* end of header */

/* skills */
.skills-icon {
    font-size: 3rem;
    color: var(--mainYellow);
    background: var(--mainGrey);
}
.skills-icon:hover {
    color: var(--mainYellow);
}
.skills-underline {
    width: 4rem;
    height: 0.3rem;
    background: var(--mainBlue);
    margin: 1rem auto;
}
/* end of skills */

/* inventory */
.inventory {
    background-color: var(--mainGrey);
}
.car-card{
    border-radius: 0 !important;
}
.car-card img {
    border-top-left-radius: 0;
    border-top-right-radius: 0;
}
.car-value {
    background: var(--mainBlue);
    color: var(--mainWhite);
    clip-path: polygon(15% 0, 85% 0, 100% 100%, 0 100%);
    transition: clip-path 0.3s ease-in-out;
}
.car-value:hover {
    clip-path: polygon(0% 0, 100% 0, 100% 100%, 0 100%);
}
/* end of inventory */
/* question */
.question {
    background: url(../img/questionBcg.jpeg) center/cover no-repeat;
    background-attachment: fixed;
}
.question-grey {
    background: rgba(79,109,122,0.75);
}
.question-yellow {
    background: rgba(227,181,5,0.75);
}
.question-icon {
    font-size: 4rem;
    color: var(--mainBlue);
    transition: all 0.5s ease-in-out;
}
.question-icon:hover {
    transform: translateY(-10%);
    color: var(--mainBlue);
}
.question-info {
    color: var(--mainWhite)
}
/* end of question */
/* featured */
.featured {
    background: var(--mainGrey);
}
.featured-item {
    background: var(--mainWhite);
    border-radius: 0.5rem;
    opacity: 0.5;
    cursor: pointer;
    transition: all 1s ease-in-out;
}
.featured-item:hover {
    opacity: 1;
    transform: scale(1.05);
}
.featured-item h5 {
    margin-bottom: 0;
}
.featured-icon {
    font-size: 1.5rem;
    color: var(--mainYellow);
    cursor: pointer;
    transition: all 1s ease-in-out;
}
.featured-icon:hover {
    color: var(--mainBlue);
}
.img-container {
    background: var(--mainBlue);
    position: relative;
    overflow: hidden;
}
.featured-photo {
    transition: all 1s ease-in-out;
}
.img-container:hover .featured-photo {
    transform: scale(1.3);
    opacity: 0.5;
}
.img-container:hover .featured-link {
    opacity: 1;
}
.featured-link {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-size: 3rem;
    color: var(--mainBlack);
    opacity: 0;
    transition: all 1s ease-in-out;
}
.featured-link:hover {
    color: var(--mainWhite);
}
/* end of featured */
/* gallery */
.gallery-item {
    background-color: var(--mainYellow);
    position: relative;
    cursor: pointer;
}
.gallery-img {
    transition: all 1s ease-in-out;
}

.gallery-item:hover .gallery-img {
    opacity: 0.5;
}
.gallery-item::after {
    content: '';
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    outline: 0.5rem solid var(--mainWhite);
    outline-offset: -2rem;
    transition: all 1s ease-in-out;
    transform: scale(0);
}
.gallery-item:hover::after {
    transform: scale(1);
}
/* end of gallery */
/* contact */
.contact {
    background: linear-gradient(rgba(0,0,0,0.5), rgba(0,0,0,0.5 )), url("../img/headerBcg.jpeg");
    background-position: center;
    background-attachment: fixed;
    background-repeat: no-repeat;
    background-size: cover;
}
.contact-input {
    font-size: 1.5rem;
    text-transform: capitalize;
    background: transparent;
    border-color: var(--mainYellow);
    color: var(--mainYellow) !important;
}
.contact-input::placeholder {
    color: var(--mainYellow);
}
.contact-input:focus {
    background: transparent;
    border-color: var(--mainYellow);
}
.contact-btn {
    text-transform: uppercase;
    color: var(--mainYellow);
    border-color: var(--mainYellow);
}
.contact-btn:hover {
    color: var(--mainBlack);
    background: var(--mainYellow);
}
/* end of contact */